{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}
{% load data_filters %}

{% block title %}{% trans 'Iclock list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'iclock/iclock_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'sn',align:'center',width:145">Serial Number</th>
        <th data-options="field:'alias',align:'center',width:120">Device Name</th>
        <th data-options="field:'status',align:'center',width:60">State</th>
        <th data-options="field:'last_activity',align:'center',width:140">Last Activity</th>
        <th data-options="field:'is_master_device',align:'center',width:100">Register Device</th>
        <th data-options="field:'user_count',align:'center',width:80">Personnel</th>
        <th data-options="field:'fp_count',align:'center',width:80">Fingerprint</th>
        <th data-options="field:'facetemp_count',align:'center',width:60">Face</th>
        <th data-options="field:'palm_count',align:'center',width:60">Palm</th>
        <th data-options="field:'transaction_count',align:'center',width:60">Transaction</th>
        <th data-options="field:'get_cmd_count',align:'center',width:60">Cmd</th>
        <th data-options="field:'area_name',align:'center',width:80">Area</th>
        <th data-options="field:'device_name',align:'center',width:80">Device Model</th>
        <th data-options="field:'firmware_version',align:'center',width:80">Firmware Version</th>
        <th data-options="field:'data',align:'center',width:90">Operation</th>
      </tr>
    </thead>
    <tbody>
      {% for iclock in iclocks %}
        <tr>
          <td><input type="checkbox"></td>
          <td><a href="{% url 'iclock_edit' iclock.id %}">{{ iclock.sn }}</a></td>
          <td>{{ iclock.alias }}</td>
          {% if iclock.check_status == 1 %}
            <td>
            <a><img title="online" src="{% static 'img/online-inco.png' %}"></a>
          </td>
          {% elif iclock.check_status == 0 %}
            <td>
              <a><img title="offline" src="{% static 'img/offline-inco.png' %}"></a>
            </td>
          {% else %}
            <td>
              <a><img title="not authorized" src="{% static 'img/not-authorized-inco.png' %}"></a>
            </td>
          {% endif %}
          {% if iclock.last_alert_time %}
             <td>{{ iclock.last_alert_time|time_format }}</td>
          {% else %}
             <td></td>
          {% endif %}
          {% if iclock.is_master_device == '1111111111' %}
          <td><a><img title="register device" width="17" height="17" src="{% static 'img/register_device.png' %}"></a></td>
          {% elif iclock.is_master_device == '1110000000' %}
          <td><a><img title="not register device" width="17" height="17" src="{% static 'img/not_register_device.png' %}"></a></td>
          {% else  %}
          <td></td>
          {% endif %}
          {% if iclock.get_user_count %}
          <td>{{ iclock.user_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.get_finger_count %}
          <td>{{ iclock.get_finger_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.get_face_count %}
          <td>{{ iclock.get_face_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.get_palmtemplate_count %}
          <td>{{ iclock.get_palmtemplate_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.transaction_count %}
          <td>{{ iclock.transaction_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.get_cmd_count %}
          <td>{{ iclock.get_cmd_count }}</td>
          {% else %}
          <td>0</td>
          {% endif %}
          {% if iclock.area.area_name %}
          <td>{{ iclock.area.area_name }}</td>
          {% else %}
          <td></td>
          {% endif %}
          {% if iclock.get_device_name %}
          <td>{{ iclock.get_device_name }}</td>
          {% else %}
          <td></td>
          {% endif %}
          {% if iclock.push_version %}
          <td>{{ iclock.push_version }}</td>
          {% else %}
          <td></td>
          {% endif %}
          <td>
            <div>
              <a href="{% url 'filter' 'data' 'transaction' 'iclock' iclock.sn %}">T</a>
              {% if iclock.area.area_name %}
              <a href="{% url 'filter' 'data' 'employee' 'area' iclock.area.id %}">E</a>
              {% else %}
              <a>E</a>
              {% endif %}
              <a href="{% url 'attpics' iclock.sn %}/" title="">P</a>
            </div>
          </td>
        </tr>
      {% endfor %}
    </tbody>
  </table>

   {% include 'paginator.html' with paginator=iclocks %}

    <div style="display:none">
      <table width="100%" border="2" style="margin-top:10px; background-color:#EDF3FE; float:left;">
        <tbody>
          <tr>
            <th>
              <input type="checkbox" id="is_refresh" checked>
              &nbsp;Auto Refresh&nbsp;&nbsp;Interval:
              <input id="interval" value="30" size="2">seconds
            </th>
          </tr>
          <tr>
            <td>
              <h2>Tips:</h2>
                <ul>
                  <li>&nbsp;Operations, Usually only for the on-line device;</li>
                  <li>&nbsp;After operation on the device, It will take effect after about one minute.</li>
                </ul>
              </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div id="time1" style="text-indent:70px;"><br /></div>

    <script type="text/javascript">
    $(function()
    {
      var oBox = document.getElementById('is_refresh');
      if(oBox.checked){
         seconds = document.getElementById('interval').value;
         // seconds = 30
         int_num = setInterval(reflash_data, (parseInt(seconds))*1000)  //定时任务
       }
    })

    function reflash_data() //ajax获取监控数据
    {
        $.get("?get_data=ture",function(data,status)
        {
          // console.log(status)
          // $("#dg").html(data);
          document.getElementById("dg").innerHTML = data
        })
        if(document.getElementById("login_submit")) //发现需要重新登陆
        {
          window.location.reload() //直接刷新
        }
        new_seconds = document.getElementById('interval').value;
        // console.log(new_seconds, seconds)
        if(new_seconds != seconds)  //关闭旧的定时器，开启新的定时器任务
        {
          window.clearInterval(int_num)
          seconds = document.getElementById('interval').value;
          int_num = setInterval(reflash_data, (parseInt(seconds))*1000)
        }
    }
    </script>
{% endblock content %}

